| EM datagrams on *.kmall format Reg.no. 410224 rev F

Data Fields
EMdgmMWCrxInfo_def Struct Reference

#MWC - data block 2: receiver, general info More...

`#include <EMdgmFormat.h>`

## Data Fields
uint16_t | numBytesRxInfo
uint16_t | numBeams
uint8_t | numBytesPerBeamEntry
uint8_t | phaseFlag
uint8_t | TVGfunctionApplied
int8_t | TVGoffset_dB
float | sampleFreq_Hz
float | soundVelocity_mPerSec

## Detailed Description

#MWC - data block 2: receiver, general info

Definition at line 1114 of file EMdgmFormat.h.

## Field Documentation

## ◆ numBytesRxInfo

uint16_t numBytesRxInfo

Number of bytes in current struct.

Definition at line 1116 of file EMdgmFormat.h.

## ◆ numBeams

uint16_t numBeams

Number of beams in this datagram (Nrx).

Definition at line 1117 of file EMdgmFormat.h.

## ◆ numBytesPerBeamEntry

uint8_t numBytesPerBeamEntry

Bytes in EMdgmMWCrxBeamData struct, excluding sample amplitudes (which have varying lengths)

Definition at line 1118 of file EMdgmFormat.h.

## ◆ phaseFlag

uint8_t phaseFlag

0 = off
1 = low resolution
2 = high resolution.

Definition at line 1120 of file EMdgmFormat.h.

## ◆ TVGfunctionApplied

uint8_t TVGfunctionApplied

Time Varying Gain function applied (X). X log R + 2 Alpha R + OFS + C, where X and C is documented in #MWC datagram. OFS is gain offset to compensate for TX source level, receiver sensitivity etc.

Definition at line 1121 of file EMdgmFormat.h.

## ◆ TVGoffset_dB

int8_t TVGoffset_dB

Time Varying Gain offset used (OFS), unit dB. X log R + 2 Alpha R + OFS + C, where X and C is documented in #MWC datagram. OFS is gain offset to compensate for TX source level, receiver sensitivity etc.

Definition at line 1123 of file EMdgmFormat.h.

## ◆ sampleFreq_Hz

float sampleFreq_Hz

The sample rate is normally decimated to be approximately the same as the bandwidth of the transmitted pulse. Unit hertz.

Definition at line 1125 of file EMdgmFormat.h.

## ◆ soundVelocity_mPerSec

float soundVelocity_mPerSec

Sound speed at transducer, unit m/s.

Definition at line 1126 of file EMdgmFormat.h.

The documentation for this struct was generated from the following file:

- EMdgmFormat.h